Subject: join command - wrong column moved to start of line with the -v2 option
From: Jean-Pierre Tosoni <[email-masked]>
To: [email-masked]
Date: Sat, 21 Jul 2012 20:20:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Maintainer,

I am using join v8.5 from debian squeeze.

When using the -v2 option with different join fields in files 1 and 2, the
join field which gets moved to the beginning of the result lines is the one
identified by the -1 option, not the one identified by the -2 option.

Here are my test files:
==== file a ====
axx111  keyX    axx222
ayy111  keyY    ayy222

==== file b ====
xxx111  xxx222  keyX    xxx333
zzz111  zzz222  keyZ    zzz333

now, the command:
   join   -v 2   -1 2   -2 3   a   b
produces
==== wrong output ====
zzz222 zzz111 keyZ zzz333

instead of
==== expected output ====
keyZ zzz111 zzz222 zzz333

The two following other commands work as expected:
   join    -v 1    -1 2    -2 3    a b
   join    -1 2    -2 3    a b

I did not find this problem in your database - or am I mistaken ?
Best regards,

-- 
Jean-Pierre Tosoni